org.appng.openapi.model

## Class Section

- java.lang.Object
- - org.appng.openapi.model.Section

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Section
      extends Object

  Section

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_ELEMENTS`
    `static String` | `JSON_PROPERTY_HIDDEN`
    `static String` | `JSON_PROPERTY_ID`
    `static String` | `JSON_PROPERTY_SELF`
    `static String` | `JSON_PROPERTY_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Section()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Section` | `addElementsItem(SectionElement elementsItem)`
    `Section` | `elements(List<SectionElement> elements)`
    `boolean` | `equals(Object o)`
    `List<SectionElement>` | `getElements()` Get elements
    `Boolean` | `getHidden()` Whether the section is hidden or not
    `String` | `getId()` Get id
    `String` | `getSelf()` the API path to this section
    `Label` | `getTitle()` Get title
    `int` | `hashCode()`
    `Section` | `hidden(Boolean hidden)`
    `Section` | `id(String id)`
    `Section` | `self(String self)`
    `void` | `setElements(List<SectionElement> elements)`
    `void` | `setHidden(Boolean hidden)`
    `void` | `setId(String id)`
    `void` | `setSelf(String self)`
    `void` | `setTitle(Label title)`
    `Section` | `title(Label title)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_SELF

          public static final String JSON_PROPERTY_SELF

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ID

          public static final String JSON_PROPERTY_ID

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_TITLE

          public static final String JSON_PROPERTY_TITLE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_HIDDEN

          public static final String JSON_PROPERTY_HIDDEN

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ELEMENTS

          public static final String JSON_PROPERTY_ELEMENTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Section

          public Section()

  - ### Method Detail

    - #### self

          public Section self(String self)

    - #### getSelf

          public String getSelf()

      the API path to this section
      Returns:
        self

    - #### setSelf

          public void setSelf(String self)

    - #### id

          public Section id(String id)

    - #### getId

          public String getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(String id)

    - #### title

          public Section title(Label title)

    - #### getTitle

          @Nullable
          public Label getTitle()

      Get title
      Returns:
        title

    - #### setTitle

          public void setTitle(Label title)

    - #### hidden

          public Section hidden(Boolean hidden)

    - #### getHidden

          @Nullable
          public Boolean getHidden()

      Whether the section is hidden or not
      Returns:
        hidden

    - #### setHidden

          public void setHidden(Boolean hidden)

    - #### elements

          public Section elements(List<SectionElement> elements)

    - #### addElementsItem

          public Section addElementsItem(SectionElement elementsItem)

    - #### getElements

          @Nullable
          public List<SectionElement> getElements()

      Get elements
      Returns:
        elements

    - #### setElements

          public void setElements(List<SectionElement> elements)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.